Job Applicant
Create a job applicant
Create a job applicant for a specific job via this endpoint.
POST
/
job
/
{jobId}
/
applicant
Create a job applicant
curl --request POST \
--url https://public.api.micro1.ai/job/{jobId}/applicant \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"email_id": "john.doe@micro1.ai",
"phone_number": "+1234567890",
"resume_url": "https://micro1.ai/resume/h0gqkAcaDJ.pdf"
}
'import requests
url = "https://public.api.micro1.ai/job/{jobId}/applicant"
payload = {
"first_name": "John",
"last_name": "Doe",
"email_id": "john.doe@micro1.ai",
"phone_number": "+1234567890",
"resume_url": "https://micro1.ai/resume/h0gqkAcaDJ.pdf"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'John',
last_name: 'Doe',
email_id: 'john.doe@micro1.ai',
phone_number: '+1234567890',
resume_url: 'https://micro1.ai/resume/h0gqkAcaDJ.pdf'
})
};
fetch('https://public.api.micro1.ai/job/{jobId}/applicant', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Job applicant created successfully",
"data": {
"job_application_id": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}Authorizations
API key to access the API
Path Parameters
ID of the job
Body
application/json
Request body to create a job applicant
First name of the candidate
Example:
"John"
Last name of the candidate
Example:
"Doe"
Email of the candidate
Example:
"john.doe@micro1.ai"
Phone number of the candidate
Example:
"+1234567890"
URL of the resume (PDF or DOCX file)
Example:
"https://micro1.ai/resume/h0gqkAcaDJ.pdf"
⌘I
Create a job applicant
